/*
 * Home Health Grouper
 * Developer for the Center for Medicare and Medicaid Services CMS
 * by 3M Health Information Systems for CMS Home Health.
 *
 * All code is provided as is.
 */
package com.mmm.cms.homehealth.test;

import com.mmm.cms.homehealth.pps.HH_PPS;
import com.mmm.cms.homehealth.proto.HomeHealthGrouperFactoryIF;
import com.mmm.cms.homehealth.proto.HomeHealthRecordIF;
import java.io.BufferedReader;
import java.io.Writer;

/**
 * This provides an example testing module for using the HH_PPS class.
 * 
 * @author Tim Gallagher - 3M HIS C&ER for CMS Home Health
 */
public class HH_PPSTest extends CommonTester {

	
	/**
	 *
	 * @param args An array of 1) input file name, and 2) output filename. The
	 * output filename is optional with the default being the input filename
	 * suffixed with "_TESTOUT" before the extension. The extension will be the
	 * same as the input filename.
	 *
	 * Any status of the test or errors are presented to the console.
	 */
	public static void main(String args[]) {
		HH_PPSTest tester;

		tester = new HH_PPSTest();
		tester.runTest(args);
	}
	
	@Override
	public void runTest(BufferedReader bufReader, Writer writer, HomeHealthGrouperFactoryIF grouperFactory, CommandLineParams commandLine) {
		HH_PPS hhPps;
		HomeHealthRecordIF record;
		String strRecord;
		
		hhPps = HH_PPS.getInstance();
		
		strRecord = "B1                    C-072009    02.00                                                                                                                                         20100626                                                                                                                     2014010101                                                                                             753.19   401.9    728.87   585.9    577.8    244.9   0001                                                                   00         00       NA              00      00  0000                                   01  02                                                                                                                                                             01                                                                                    0000           Rec 000007019: Code 1AGKS--OASIS 10GV14AA11BFFGAIEH--Version V3414 --Flag 1                                   00   0                                                00    00  0                0300  0101                                    NA                                                                                                                                                                                                                                                                                                                                       %";
		/*
		 * If all you want to do is convert the record from a string to a 
		 * Home Health Record, then you can call the following method
		 * right away.
		 */
		record = hhPps.convertRecord(strRecord);
	}
	
}
